
QGIS Application - Bug report #14063

Diagrams: impossible to change the legend until the dialog is validated

2016-01-06 02:51 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Diagrams

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22073

Description

Open a layer properties dialog > diagram tab

Check "Show diagrams for this layer" 

In the attributes section, add an attribute to display

It's impossible to change the legend label until you reopen the dialog: you need to click OK and reopen the dialog to be able to customize

the legend.

Associated revisions

Revision b8bce97c - 2016-01-07 06:23 AM - Nyall Dawson

Allow editing newly added diagram attributes (fix #14063)

Revision 8389b7f7 - 2016-03-10 12:42 AM - Nyall Dawson

Allow editing newly added diagram expression attributes (fix #14063)

Revision 602cfa19 - 2016-03-10 08:56 AM - Nyall Dawson

Allow editing newly added diagram expression attributes (fix #14063)

(cherry-picked from 8389b7f703694bf107ffaa85f5b4bda934e2391a)

History

#1 - 2016-01-06 09:27 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"b8bce97c1f2f089ece559a9501c7e4d83732aa7c".

#2 - 2016-03-08 02:20 AM - Harrissou Santanna

- Affected QGIS version changed from 2.12.0 to 2.14.0

- Assignee set to Nyall Dawson

- Status changed from Closed to Reopened
The issue is still there if you use an expression on the added field.

#3 - 2016-03-09 03:46 PM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"8389b7f703694bf107ffaa85f5b4bda934e2391a".
